Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm.sc
[Java] Class StaticTypesUnaryExpressionHelper

    java.lang.Object
      org.codehaus.groovy.classgen.asm.UnaryExpressionHelper
          org.codehaus.groovy.classgen.asm.sc.StaticTypesUnaryExpressionHelper

All Implemented Interfaces:
  org.objectweb.asm.Opcodes

    public class StaticTypesUnaryExpressionHelper
    extends UnaryExpressionHelper

An unary expression helper which generates optimized bytecode depending on the current type on top of the operand stack.

Authors:
  Cedric Champeau

Constructor Summary
`StaticTypesUnaryExpressionHelper(WriterController controller)`

Method Summary
`void` | `writeBitwiseNegate(BitwiseNegationExpression expression)`
`void` | `writeNotExpression(NotExpression expression)`
`void` | `writeUnaryMinus(UnaryMinusExpression expression)`
`void` | `writeUnaryPlus(UnaryPlusExpression expression)`

Methods inherited from class UnaryExpressionHelper
writeBitwiseNegate, writeNotExpression, writeUnaryMinus, writeUnaryPlus

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StaticTypesUnaryExpressionHelper

    public StaticTypesUnaryExpressionHelper(WriterController controller)

Method Detail

### writeBitwiseNegate

    @Override
    public void writeBitwiseNegate(BitwiseNegationExpression expression)

### writeNotExpression

    @Override
    public void writeNotExpression(NotExpression expression)

### writeUnaryMinus

    @Override
    public void writeUnaryMinus(UnaryMinusExpression expression)

### writeUnaryPlus

    public void writeUnaryPlus(final UnaryPlusExpression expression) {
    public void writeUnaryPlus(UnaryPlusExpression expression)

Groovy Documentation